Page MenuHomePhabricator

Remove cache anti-dependencies
Closed, ResolvedPublic

Description

FileRepo and in some cases FileBackend use the cache to determine writes. All read-write dependencies should always be source => cache to avoid latency, since the purge bus is not synchronous.

Event Timeline

aaron created this task.Feb 10 2015, 11:30 PM
aaron updated the task description. (Show Details)
aaron raised the priority of this task from to Normal.
aaron claimed this task.
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.

Change 186630 had a related patch set uploaded (by Aaron Schulz):
Never treat persistent stat cache as "latest" in FileBackend

https://gerrit.wikimedia.org/r/186630

Patch-For-Review

Change 186630 merged by jenkins-bot:
Never treat persistent stat cache as "latest" in FileBackend

https://gerrit.wikimedia.org/r/186630

bd808 removed a project: Epic.Feb 13 2015, 3:57 PM
bd808 set Security to None.

Change 194438 had a related patch set uploaded (by Aaron Schulz):
Made the "bypassCache" flag for file locator methods use the master DB

https://gerrit.wikimedia.org/r/194438

Change 194438 merged by jenkins-bot:
Made the "bypassCache" flag for file locator methods use the master DB

https://gerrit.wikimedia.org/r/194438

Change 194582 had a related patch set uploaded (by Aaron Schulz):
Made wfFindFile/wfLocalFile callers use explicit "latest" flags

https://gerrit.wikimedia.org/r/194582

Change 194589 had a related patch set uploaded (by Aaron Schulz):
[WIP] Remove isVolatile/markVolatile logic from LocalFile

https://gerrit.wikimedia.org/r/194589

Change 194582 merged by jenkins-bot:
Made wfFindFile/wfLocalFile callers use explicit "latest" flags

https://gerrit.wikimedia.org/r/194582

aaron closed this task as Resolved.Mar 6 2015, 9:31 PM
bd808 moved this task from Backlog to Done on the MediaWiki-Core-Team board.Mar 7 2015, 12:54 AM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 9 2015, 9:14 PM